<?php
namespace Modules\RemoteData\Mcp\Resources;

//use Mcp\Capability\Attribute\McpResource;
//use Mcp\Capability\Attribute\McpTool;
use Psr\Log\LoggerInterface;

final class Application
{

    public function __construct(
        private readonly LoggerInterface $logger,
    ) {
        $this->logger->info('Handler `'.__CLASS__.'` instantiated with dependencies.');
    }

    public function getAppVersion(): string
    {
        $this->logger->info("Manual resource 'app://version' read.");

        return APP_VERSION_NUMBER.'.'.APP_VERSION_BUILD;
    }


}

